Subject: bug#36522: 12.1.2; Cannot preview document with TeX-engine: luatex

From: Ikumi Keita <[email-masked]>
Date: Mon, 08 Jul 2019 20:33:59 +0900

Hi Luke,

>>>>> Luke Lau <[email-masked]> writes:
> With these errors appearing in the log:

> Running `Preview-LaTeX' on `test' with ``lualatex -ini  -interaction=nonstopmode "&lualatex" prv_test.ini    "\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}" "\input" "{\detokenize{" test.tex "}}"''
> This is LuaTeX, Version 1.10.0 (TeX Live 2019)  (INITEX)

> Running `Preview-DviPS' with ``dvips -Pwww test.dvi -o test.prv/tmpL7YI6q/preview.ps''
> This is dvips(k) 5.999 Copyright 2019 Radical Eye Software (www.radicaleye.com)
> dvips: DVI file can't be opened: test.dvi: No such file or directory

It's strange that preview-latex runs lualatex, which produces PDF
directly without intermediate DVI file, while it afterwards runs dvips,
which produces PS file from DVI.  Dvips is useless to use with lualatex.

At first, I thought that `TeX-PDF-mode' is disabled in that document,
but it didn't matter when I actually tried the same document with
`TeX-PDF-mode' set to nil.  Preview-latex works well for me, with the
log at the last of this message.  It invokes pdf2dsc and gs instead of
dvips, which leads to expected an image displayed in the emacs buffer.

I suspect that the preview package installed on your machine is somewhat
broken, because of the repeated "Non-PDF special ignored!" messages
recorded in your log.  That repetition doesn't appear in my log.

Maybe it would be effective for your case to deinstall and reinstall
AUCTeX on your machine.

Regards,
Ikumi Keita

Running `Preview-LaTeX' on `zzz' with ``lualatex -ini  -interaction=nonstopmode "&lualatex" prv_zzz.ini  "\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}" "\input" "{\detokenize{" zzz.tex "}}"''
This is LuaTeX, Version 1.10.0 (TeX Live 2019)  (INITEX)

... (snip) ...

Running `Preview-LaTeX' on `zzz' with ``lualatex  -interaction=nonstopmode -file-line-error \&prv_zzz "/AUCTEXINPUT{" zzz.tex "}"''
This is LuaTeX, Version 1.10.0 (TeX Live 2019) 

... (snip) ...

Running `Preview-PDF2DSC' with ``pdf2dsc zzz.pdf zzz.prv/tmpo7ZGZn/preview.dsc''

Preview-PDF2DSC finished at Mon Jul  8 19:53:58
Running `Preview-Ghostscript' with ``/usr/local/texlive/2019/bin/amd64-freebsd/rungs -dOutputFile\=\(zzz.prv/tmpo7ZGZn/pr1-\%d.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r108.606x108.587''

Preview-Ghostscript finished at Mon Jul  8 19:53:58